ruby-phonon_4.14.3-1ubuntu2_i386.deb


Advertisement

Description

ruby-phonon - Phonon bindings for the Ruby language

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name ruby-phonon
Package version 4.14.3
Package release 1ubuntu2
Package architecture i386
Package type deb
Installed size 70 B
Download size 15.01 KB
Official Mirror archive.ubuntu.com
This package provides the Ruby bindings for the Phonon library.
This is part of the Qt Ruby module.

Alternatives

Package Version Architecture Repository
ruby-phonon_4.14.3-1ubuntu2_amd64.deb 4.14.3 amd64 Ubuntu Universe
ruby-phonon - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libphonon4 >= 4:4.2.0
libqtcore4 >= 4:4.7.0~beta1
libqtruby4shared2 = 4:4.14.3-1ubuntu2
libruby2.3 >= 2.3.0~preview2
libsmokebase3v5 >= 4:4.14.3
libsmokephonon3 >= 4:4.14.3
libstdc++6 >= 5.2
ruby-qt4 = 4:4.14.3-1ubuntu2

Replaces

Name Value
libqt4-ruby << 4:4.6.80
libqt4-ruby1.8 << 4:4.6.80

Download

Type URL
Binary Package ruby-phonon_4.14.3-1ubuntu2_i386.deb
Source Package qtruby

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-phonon deb package:
    # sudo apt-get install ruby-phonon

Files

Path
/usr/lib/i386-linux-gnu/ruby/vendor_ruby/2.3.0/phonon.so
/usr/lib/ruby/vendor_ruby/2.3.0/phonon/phonon.rb
/usr/share/doc/ruby-phonon/changelog.Debian.gz
/usr/share/doc/ruby-phonon/copyright

Changelog

2016-03-14 - Matthias Klose <doko@ubuntu.com>
qtruby (4:4.14.3-1ubuntu2) xenial; urgency=medium
* Merge with Debian; no remaining changes.
* libqtruby4shared2: Conflicts/Replaces libqtruby4shared2v5.
2015-09-10 - Scott Kitterman <scott@kitterman.com>
qtruby (4:4.14.3-1) unstable; urgency=medium
* Team upload.
* New upstream release
* Update debian/watch
* Bump standards version to 3.9.6
* Drop ruby-qt4-webkit binary and libqtwebkit-dev build-depends in aid of
Qt4 WebKit removal goal (Closes: #784517)
- Build-Conflict libqtwebkit-dev just to be sure
* Drop obsolete libqt4-ruby1.8 transitional package
2015-01-25 - Andreas Beckmann <anbe@debian.org>
qtruby (4:4.11.3-4.1) unstable; urgency=medium
* Non-maintainer upload with maintainer approval.
* ruby-qt4.postinst: Clean up obsolete diversions of rbqtapi dating back to
libqt4-ruby1.8/lenny.  (Closes: #775894)
* Allow arch-indep-only builds by restricting the dh_installexamples
override to arch-specific builds.
2014-05-19 - Cédric Boutillier <boutil@debian.org>
qtruby (4:4.11.3-4) unstable; urgency=medium
* Build against Ruby 2.1.
* Breaks binary packages from korundum before its rebuild with Ruby 2.1.
* Drop build-conflict with ruby1.8 (not needed any more).
2014-04-03 - Maximiliano Curia <maxy@debian.org>
qtruby (4:4.11.3-3) unstable; urgency=medium
* Aesthetic changes made by wrap-and-sort.
* Build against ruby 2.0. (Closes: #739769)
2013-11-24 - Cédric Boutillier <boutil@debian.org>
qtruby (4:4.11.3-2) unstable; urgency=low
* Build-conflict with ruby1.8 and build with ruby1.9.1.
* Install files in Ruby vendor locations as per Ruby policy.
* Drop use_ruby1.8.diff, since the default Ruby version is used now.
* Add myself to uploaders.
* Bump Standards-Version to 3.9.5 (no changes needed).
* Make Vcs-Git URL more canonical.
2013-11-09 - Maximiliano Curia <maxy@debian.org>
qtruby (4:4.11.3-1) unstable; urgency=low
* New upstream release.
* Update build dependencies.
2013-10-09 - Maximiliano Curia <maxy@debian.org>
qtruby (4:4.11.2-1) experimental; urgency=low
* New upstream release.
2013-07-12 - Maximiliano Curia <maxy@debian.org>
qtruby (4:4.10.5-1) unstable; urgency=low
* New upstream release.
2013-06-14 - Maximiliano Curia <maxy@debian.org>
qtruby (4:4.10.4-1) experimental; urgency=low
* New upstream release.
* Update watch file.
* Bump Standards-Version to 3.9.4.
* Update vcs fields.
* Add myself to uploaders.

See Also

Package Description
ruby-pkg-config_1.1.5-1_all.deb pkg-config implementation for Ruby
ruby-plist_3.2.0-1_all.deb all-purpose property list manipulation library
ruby-pluggaloid_1.0.2-1_all.deb Extensible plugin system for mikutter
ruby-polyglot_0.3.4-1_all.deb Custom language loaders for specified file extensions
ruby-poppler_2.2.5-4build1_i386.deb Ruby bindings for the libpoppler-glib library
ruby-posix-spawn_0.3.11-1build2_i386.deb Ruby Implementation of posix_spawn(2) for faster process spawning
ruby-powerbar_1.0.17-1_all.deb progressbar library for Ruby
ruby-powerpack_0.1.1-2build1_all.deb Useful extensions to core Ruby classes
ruby-prawn-doc_2.0.2+dfsg-1_all.deb fast, nimble PDF generation library for Ruby (documentation)
ruby-prawn-manual-builder_0.2.0-1_all.deb tool to write manuals for Prawn and Prawn accessories
ruby-prawn-table_0.2.1-1_all.deb table support for the Prawn PDF generation library
ruby-prawn_2.0.2+dfsg-1_all.deb fast, nimble PDF generation library for Ruby
ruby-progressbar_1.4.2-1_all.deb Text progress bar library for Ruby
ruby-protected-attributes_1.1.3-1_all.deb Protect attributes from mass assignment in Active Record models
ruby-pundit_1.0.1-2_all.deb object oriente authorization for rails
Advertisement
Advertisement